<html>
<head>
    <title>DiGIR Provider Service Administration</title>
    <link rel="stylesheet" href="digir.css">
</head>
<body>
<table border='0'>
<tr><td><img src='digir_button.gif'></td><td><p class='title'>DiGIR Provider Administration</p></td></tr>
<tr><td colspan='2'><!--spacer -->&nbsp;&nbsp;</td></tr>
<tr><td colspan='2'><!--start of content -->
<dl class='normalcontent'>
    <dt>Server Status</dt>
    <dd>Show the current status of the services offered by this provider</dd>
    <dt>Server Load</dt>
    <dd>Show the current and recent history of server load</dd>
    <dt>Clear Cache</dt>
    <dd>Clear the provider cache</dd>
    <dt><a href='setup.php'>Edit Provider and Resources</a></dt>
    <dd>Edit provider and resource metadata and database mappings</dd>
    <dt>Logs</dt>
    <dd>View and process the logs</dd>
</dl>
<hr />
<h2 class='section'>Resources On This Provider</h2>
<?php
include_once('../www/localconfig.php');
include_once('../www/DiGIR_globals.php');
ini_set('include_path',ini_get('include_path').DIGIR_PATH_SEP.realpath('../www/'));
include_once('DiGIR_utils.php');
$ares = getResourceList(realpath(DIGIR_CONFIG_DIR.'/'.DIGIR_RESOURCE_FILE));
echo "<table border='1'>\n";
echo "<tr><th>Name</th><th>File</th><th>Exists?</th></tr>\n";
foreach ($ares as $k=>$v)
{
    echo "<tr><td>".$k."</td><td>".$v."</td><td>";
    echo file_exists(realpath(DIGIR_CONFIG_DIR.'/'.$v))?"Ok":"Error";
    echo "</td></tr>";
}
echo "</table>";
?>
<!--end of content --></td></tr>
</table>
</body>
</html>